<template>
    <select name="province" class="form-control" id="province" @change="updateCity()" ref="province">
        <option value="">- Pilih Provinsi -</option>
        <option :value="province.id" :key="province.id" v-for="province in provinces" :selected="selectedProvince == province.id">{{ province.name }}</option>
    </select>
</template>

<script>
import { mapMutations } from 'vuex';

export default {
    props: ['provinces','selectedProvince'],
    watch: {
        province(val) {
            this.UPDATE_CITIES(val);
        }
    },
    methods: {
        ...mapMutations([
            'UPDATE_CITIES'
        ]),
        checkSelectedProvince(id) {
            if (this.selectedProvince == id) {
                return true;
            }

            return false;
        },
        updateCity() {
            axios.get(`/api/province/${this.$refs.province.value}`)
                .then( (response) => {
                    this.UPDATE_CITIES(response.data.cities);
                });
        }
    }
}
</script>
